import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}
// 获取活动列表
export function getActivityList(params) {
  return httpRequest.get('/api/register/v1/activity/list', { params })
}
// 获取活动详情
export function getActivityDetail(params) {
  return httpRequest.get('/api/register/v1/activity/view', { params })
}
// 保存步骤信息
export function saveStepInfo(data) {
  return httpRequest.post('/api/register/v1/activity/step', data)
}
// 保存步骤信息
export function getPayInfo(data) {
  return httpRequest.post('/api/register/v1/activity/qr', data)
}
// 支付状态查询
export function getPayStatus(params) {
  return httpRequest.get('/api/register/v1/activity/pay-status', { params })
}
// 支付状态查询
export function getOrderList(params) {
  return httpRequest.get('/api/register/v1/activity/order', { params })
}
